Subject: RE: [Ips] Portal group discovery

From: "Dan Bar Dov" <[email-masked]>
Date: Wed, 4 Oct 2006 10:32:16 +0200

Ken, first of all, thanks, it helps.
 
Let me se if I understand you correctly:
portals of the same portal group (sharing same tag) can be used 
for multiple connections in session.
 
Portals of different portal groups can be used for multiple sessions - and 
used by the initiator anyway it likes, e.g. in your example below, open two 
sessions, use one actively, and if it fails, use the other one.
 
It does make sense,
thanks,
Dan

________________________________

	From: Sandars, Ken [mailto:[email-masked]] 
	Sent: Tuesday, October 03, 2006 6:10 PM
	To: Dan Bar Dov; William Studenmund
	Cc: [email-masked]; John Hufferd; Julian Satran
	Subject: RE: [Ips] Portal group discovery

	Example:
	 
	Router 1 SendTargets response:
	 
	    TargetName=iqn.2006-09.com.muppet:thisismytargetpleasedonthurtme
	    TargetAddress=192.168.11.2:3260,1
	 
	Router 2 SendTargets response:

	    TargetName=iqn.2006-09.com.muppet:thisismytargetpleasedonthurtme
	    TargetAddress=192.168.12.2:3260,2
	 
	The initiator puts 2 and 2 together (ok, 1 and 2, but you see what I mean), and comes up with:

	    TargetName=iqn.2006-09.com.muppet:thisismytargetpleasedonthurtme
	
	    TargetAddress=192.168.11.2:3260,1
	    TargetAddress=192.168.12.2:3260,2
	 
	So it knows three things:
	(1) The name of the target
	(2) That it can be reached via two portals
	(3) Connections on those portals cannot be spanned into the one session
	 
	It can choose to login via either or both portals whenever it likes. There is no need for the routers to do any IP failover.
	 
	Does that help?
	Ken

________________________________

	From: Dan Bar Dov [mailto:[email-masked]] 
	Sent: Wednesday, 4 October 2006 01:43
	To: William Studenmund
	Cc: Sandars, Ken; [email-masked]; John Hufferd; Julian Satran
	Subject: RE: [Ips] Portal group discovery

________________________________

		From: William Studenmund [mailto:[email-masked]] 
		Sent: Tuesday, October 03, 2006 5:28 PM
		To: Dan Bar Dov
		Cc: Sandars, Ken; [email-masked]; John Hufferd; Julian Satran
		Subject: Re: [Ips] Portal group discovery

		On Oct 3, 2006, at 4:04 AM, Dan Bar Dov wrote:

			It is true that you cannot run two active connections in the 
			same session when going through two routers.
			However, is it not possible to have a single active connection, 
			and fail-over to a new (or a standby) connection ?

		The problem is that putting both routers in the same Target Portal Group (TPG) means exactly that the initiator CAN have two active connections, in the same session, through the two portals.

		So why do you want them in the same portal group? Why not just give each router a different TPG and be done with it? 
		 
		If each target is in a different TPG, how do I achieve fail-over between the routers? 
		(other than maintaining some heart-beat  between them, and moving the router IP address over).

		Take care,

		Bill

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips